import { pogo } from "../../deps.ts"
interface RequestParameters { r: pogo.Request, h: pogo.Toolkit }

export default ({ r, h }: RequestParameters, domains: string[] | string, handler: any) => {
    if (domains.includes(r.host) || domains.includes("*")) {
        return handler(r, h)

    } else {
        return h.response({
            error: "This Site/Fuction doesn't exist or is not available on the current domain."
        }).code(404)
    }
}